<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="60mm"
        android:layout_alignParentBottom="true"
        android:gravity="center_vertical|right"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_refuse"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="10mm"
            android:background="@drawable/shape_red_btn"
            android:paddingHorizontal="20mm"
            android:paddingVertical="5mm"
            android:text="拒绝"
            android:textColor="@color/white" />

        <TextView
            android:id="@+id/tv_agree"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="10mm"
            android:background="@drawable/shape_green_btn"
            android:paddingHorizontal="20mm"
            android:paddingVertical="5mm"
            android:text="同意"
            android:textColor="@color/white" />

    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/ll_bottom"
            android:orientation="vertical"
            android:paddingBottom="20mm">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="入库数量"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="箱号"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_box_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="申请人"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_person"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="申请时间"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="申请备注"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_remark"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:id="@+id/ll_check"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1mm"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="10mm">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="审核人"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/tv_check_person"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="12sp" />

                </LinearLayout>

                <View style="@style/dividerX" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@color/white"
                    android:gravity="center"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="15mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="审核时间"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/tv_check_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="15sp" />
                </RelativeLayout>

                <View style="@style/dividerX" />

                <View style="@style/dividerX" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@color/white"
                    android:gravity="center"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="15mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="审核备注"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/tv_check_remark"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="15sp" />
                </RelativeLayout>

                <View style="@style/dividerX" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1mm"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="10mm">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="审核状态"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/tv_check_status"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="12sp" />

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
